Bug 1324572 - [GSS](6.4.z) LogContexts are not removed for ear subdeployments
Summary: [GSS](6.4.z) LogContexts are not removed for ear subdeployments
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Logging
Version: 6.4.7
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: CR1
: EAP 6.4.9
Assignee: Aaron Ogburn
QA Contact: Nikoleta Hlavickova
URL:
Whiteboard:
Depends On:
Blocks: eap649-payload 1324980
TreeView+ depends on / blocked
 
Reported: 2016-04-06 16:29 UTC by Aaron Ogburn
Modified: 2019-11-14 07:44 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-17 12:56:10 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2220291 None None None 2016-04-06 16:30:13 UTC
JBoss Issue Tracker JBEAP-4101 Major Closed LogContexts are not removed for ear subdeployments 2016-08-23 11:38:48 UTC
JBoss Issue Tracker WFCORE-1464 Major Resolved LogContexts are not removed for ear subdeployments 2016-08-03 01:11:21 UTC

Description Aaron Ogburn 2016-04-06 16:29:57 UTC
Description of problem:

If an ear does not have its own LogContext created, but a subdeployment in it does, the subdeployment never has its LogContext cleaned up upon undeploy, leading to PermGen leaks.


How reproducible:

Very

Steps to Reproduce:
1. Set trace logging for 'org.jboss.as.logging' to easily see log context adds and removals.
2. Deploy attached ear
3. undeploy ear
4. Note the log context is not removed

Actual results:

Log context is not removed for subdeployments

Expected results:

Log context is removed for subdeployments

Additional info:

Comment 4 Jiří Bílek 2016-06-21 14:04:18 UTC
Verified with 6.4.9.CP.CR1

Comment 5 JBoss JIRA Server 2016-08-23 11:38:48 UTC
Jiri Pallich <jpallich@redhat.com> updated the status of jira JBEAP-4101 to Closed

Comment 6 Petr Penicka 2017-01-17 12:56:10 UTC
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.


Note You need to log in before you can comment on or make changes to this bug.